Bug 476327 - compilation failure with linux/serial.h
compilation failure with linux/serial.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 22:49 EST by Mamoru TASAKA
Modified: 2009-02-10 02:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 02:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 303711 None None None Never

  None (edit)
Description Mamoru TASAKA 2008-12-12 22:49:58 EST
Description of problem:
When tryint to rebuild hal
(see: http://koji.fedoraproject.org/koji/taskinfo?taskID=996272 )
It fails with
--------------------------------------------------------------
gcc -DHAVE_CONFIG_H -I. -I../../..  -DPACKAGE_SYSCONF_DIR=\""/etc"\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_BIN_DIR=\""/usr/bin"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_LOCALSTATEDIR=\""/var"\" -I../../.. -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include       -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -MT probe-serial.o -MD -MP -MF .deps/probe-serial.Tpo -c -o probe-serial.o probe-serial.c
In file included from probe-serial.c:32:
/usr/include/linux/serial.h:164: error: expected specifier-qualifier-list before '__u32'
---------------------------------------------------------------
compiles with 2.6.27.7-134.fc10

diff shows:
---------------------------------------------------------------
--- serial.h    2008-12-02 12:04:10.000000000 +0900
+++ /usr/include/linux/serial.h 2008-12-05 03:45:57.000000000 +0900
@@ -153,5 +153,21 @@
        int reserved[9];
 };
 
+/*
+ * Serial interface for controlling RS485 settings on chips with suitable
+ * support. Set with TIOCSRS485 and get with TIOCGRS485 if supported by your
+ * platform. The set function returns the new state, with any unsupported bits
+ * reverted appropriately.
+ */
+
+struct serial_rs485 {
+       __u32   flags;                  /* RS485 feature flags */
+#define SER_RS485_ENABLED              (1 << 0)
+#define SER_RS485_RTS_ON_SEND          (1 << 1)
+#define SER_RS485_RTS_AFTER_SEND       (1 << 2)
+       __u32   delay_rts_before_send;  /* Milliseconds */
+       __u32   padding[6];             /* Memory is cheap, new structs
+                                          are a royal PITA .. */
+};
 
 #endif /* _LINUX_SERIAL_H */
----------------------------------------------------------------
Version-Release number of selected component (if applicable):
kernel-headers-2.6.28-0.127.rc8.git1.fc11

How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
Comment 1 Mamoru TASAKA 2008-12-13 08:41:00 EST
Also:
http://koji.fedoraproject.org/koji/taskinfo?taskID=996524
Comment 2 Mamoru TASAKA 2008-12-17 05:51:58 EST
Patch posted on LKML:
http://lkml.org/lkml/2008/12/2/75
Comment 3 Robert Scheck 2008-12-20 08:57:00 EST
digitemp is same affected as hal...
Comment 4 Dan Horák 2008-12-20 09:06:30 EST
the same for atari++
Comment 5 Bill Nottingham 2008-12-22 10:37:37 EST
LKML patch put in CVS.
Comment 6 Chuck Ebbert 2009-02-10 02:23:40 EST
fixed: commit 60c20fb8c00a2b23308ae4517f145383bc66d291

Note You need to log in before you can comment on or make changes to this bug.